Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client.multibindings
Class TypeLiterals

    java.lang.Object
      com.google.gwt.inject.client.multibindings.TypeLiterals

    public class TypeLiterals

extends java.lang.Object

Utilities for creating TypeLiteral instances.

Method Summary
`static
`<K,V> TypeLiteral<java.util.Map<K,V>>`
` | `mapOf(TypeLiteral<K> key, TypeLiteral<V> value)`
`static TypeLiteral` | `newParameterizedType(java.lang.Class<?> baseClass, TypeLiteral<?>... literals)`
`static
`<V> TypeLiteral<Provider<V>>`
` | `providerOf(TypeLiteral<V> type)`
`static
`<V> TypeLiteral<java.util.Set<V>>`
` | `setOf(TypeLiteral<V> type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### mapOf

    public static <K,V> TypeLiteral<java.util.Map<K,V>> mapOf(TypeLiteral<K> key,
                                                              TypeLiteral<V> value)

### setOf

    public static <V> TypeLiteral<java.util.Set<V>> setOf(TypeLiteral<V> type)

### providerOf

    public static <V> TypeLiteral<Provider<V>> providerOf(TypeLiteral<V> type)

### newParameterizedType

    public static TypeLiteral newParameterizedType(java.lang.Class<?> baseClass,
                                                   TypeLiteral<?>... literals)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD